package hideandseek.commands.admin;

import java.util.Iterator;
import org.bukkit.entity.Player;
import hideandseek.Rank;
import org.bukkit.ChatColor;
import hideandseek.PlayerData;
import org.bukkit.Bukkit;
import hideandseek.utils.Utils;
import org.bukkit.command.CommandSender;
import hideandseek.Customization;
import hideandseek.HideAndSeek;
import hideandseek.commands.SubCommand;

public class ExpCommand extends SubCommand
{
    public ExpCommand() {
        super("hideandseek.exp", true, "Add/Remove/Set <Player> <Amount>");
    }
    
    public boolean execute(final HideAndSeek var1, final Customization var2, final CommandSender var3, final String[] var4) {
        if (var4.length < 4 || (!var4[1].equalsIgnoreCase("add") && !var4[1].equalsIgnoreCase("remove") && !var4[1].equalsIgnoreCase("set")) || !Utils.isNumber(var4[3])) {
            return false;
        }
        final Player var5 = Bukkit.getPlayer(var4[2]);
        if (var5 == null) {
            var3.sendMessage((String)var2.messages.get("no_player_found"));
            return true;
        }
        final PlayerData var6 = var1.playerData.get(var5.getName());
        final String var7 = var4[1].toLowerCase();
        final int var8 = Integer.parseInt(var4[3]);
        if (var7.equalsIgnoreCase("add")) {
            final PlayerData playerData = var6;
            playerData.playerExp += var8;
        }
        else if (var7.equalsIgnoreCase("remove")) {
            final PlayerData playerData2 = var6;
            playerData2.playerExp -= var8;
        }
        else if (var7.equalsIgnoreCase("set")) {
            var6.playerExp = var8;
        }
        var6.played = true;
        var3.sendMessage(var2.prefix + "你成功修改了 " + String.valueOf(ChatColor.YELLOW) + var5.getName() + String.valueOf(ChatColor.GOLD) + " 经验值!");
        var5.sendMessage((String)var2.messages.get("exp_modified"));
        for (final Rank var10 : Rank.ranks) {
            if (var6.playerExp < var10.requiredExp) {
                break;
            }
            var6.rank = var10;
        }
        return true;
    }
}
